### Enumeration

# Gimp DesaturateMode

#### Declaration

    enum Gimp.DesaturateMode

#### Description [src]

Grayscale conversion methods.

#### Members

`GIMP_DESATURATE_LIGHTNESS`

  Lightness (HSL).

  - Value: `0`
  - Available since: 3.0
`GIMP_DESATURATE_LUMA`

  Luma.

  - Value: `1`
  - Available since: 3.0
`GIMP_DESATURATE_AVERAGE`

  Average (HSI Intensity).

  - Value: `2`
  - Available since: 3.0
`GIMP_DESATURATE_LUMINANCE`

  Luminance.

  - Value: `3`
  - Available since: 3.0
`GIMP_DESATURATE_VALUE`

  Value (HSV).

  - Value: `4`
  - Available since: 3.0